%define  major		1
%define  libname	%mklibname wcstools %{major}
%define  develname	%mklibname wcstools -d

Name:		wcstools
Version:	3.9.7
Release:	%mkrel 2
Summary:	Software utilities to display and manipulate the WCS of a FITS image
License:	GPLv2+
Group:		Sciences/Astronomy
URL:		http://tdc-www.harvard.edu/wcstools
Source0:	http://tdc-www.harvard.edu/software/wcstools/%{name}-%{version}.tar.gz
# Patch from Debian to create shared lib and rename it to avoid
# conflicts with Mark Calabretta's wcslib package.
Patch0:		wcstools-3.9.7-rename-shlib.patch
# Since there's no way to reach out upstream other than email
# and I don't get replies, this patch tries to fix build with GCC15
Patch2:		fix_gcc15-c++23.patch
BuildRequires:	gcc

%description
Wcstools is a set of software utilities, written in C, which create,
display and manipulate the world coordinate system of a FITS or IRAF
image, using specific keywords in the image header which relate pixel
position within the image to position on the sky.  Auxiliary programs
search star catalogs and manipulate images.


%package -n %{libname}
Summary:	Wcstools shared library
Group:		Sciences/Astronomy
License:	LGPLv2+

%description -n %{libname}
Shared library necessary to run wcstools and programs based on libwcs.

%package -n %{develname}
Summary:	Libraries, includes, etc. used to develop an application with %{name}
Group:		Sciences/Astronomy
License:	LGPLv2+
Requires:	%{libname} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This are the files needed to develop an application using %{name}.

%prep
%autosetup -p1

# Fix wrong FSF address in source headers
# asked upstream by mail to fix this
grep -rl '59 Temple Place, Suite 330, Boston, MA  02111-1307  USA' --include=*.{c,h} | xargs -i@ sed -i 's/59 Temple Place, Suite 330, Boston, MA  02111-1307  USA/51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA./g' @


%build
export CFLAGS+=" -std=gnu17"
%make_build

%install
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_includedir}/libwcs
mkdir -p %{buildroot}%{_mandir}/man1
install -p -m 0755 bin/* %{buildroot}%{_bindir}

# Rename conflicting binary bug #1450190
# Mailed upstream, no response
# Debian uses the same rename
mv %{buildroot}%{_bindir}/remap %{buildroot}%{_bindir}/wcsremap

cp -a libwcs/*.so* %{buildroot}%{_libdir}
install -p -m 0644 libwcs/*.h %{buildroot}%{_includedir}/libwcs
install -p -m 0644 man/man1/* %{buildroot}%{_mandir}/man1

%files
%license COPYING
%doc NEWS Readme Programs
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%license libwcs/COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc libwcs/NEWS
%{_libdir}/*.so
%{_includedir}/libwcs/


%changelog
* Fri May 23 2025 daviddavid <daviddavid> 3.9.7-2.mga10
+ Revision: 2185981
- use "-std=gnu17" for gcc-15
- modify *rename-shlib.patch to fix parallel build and clean-up default flags
- add fedora patch to fix build with gcc 15

* Sun Aug 21 2022 papoteur <papoteur> 3.9.7-1.mga9
+ Revision: 1879006
- new 3.9.7

* Tue Mar 15 2022 umeabot <umeabot> 3.9.6-3.mga9
+ Revision: 1792892
- Mageia 9 Mass Rebuild

* Wed Aug 19 2020 joequant <joequant> 3.9.6-2.mga8
+ Revision: 1615596
- bump build

* Fri Jun 26 2020 daviddavid <daviddavid> 3.9.6-1.mga8
+ Revision: 1599313
- new version: 3.9.6

* Mon Feb 24 2020 daviddavid <daviddavid> 3.9.5-2.mga8
+ Revision: 1550105
- fix headers path wcs -> libwcs

* Mon Feb 24 2020 daviddavid <daviddavid> 3.9.5-1.mga8
+ Revision: 1550102
- initial package wcstools (needed for fitscut)

